<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:util="http://www.springframework.org/schema/util"
	xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
	 http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd
	 http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.0.xsd">

	<context:property-placeholder
		location="classpath:props/config_${spring.profiles.active}.properties" />

	<!-- Resources -->
	<bean id="errorResource"
		class="org.springframework.core.io.support.ResourcePropertySource">
		<constructor-arg value="errors" />
		<constructor-arg value="classpath:props/error.properties" />
	</bean>

	<import resource="classpath:spring/spring-mybatis.xml" />
	<import resource="classpath:spring/spring-shiro.xml" />
	<import resource="classpath:spring/spring-mvc.xml" />
	<import resource="classpath:spring/spring-task.xml" />
	<import resource="classpath:spring/spring-websocket.xml" />
</beans>